Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class ControllerArtefactHandler.ControllerCacheKey

    java.lang.Object
      org.codehaus.groovy.grails.commons.ControllerArtefactHandler.ControllerCacheKey

    public static class ControllerArtefactHandler.ControllerCacheKey

Constructor Summary
`ControllerArtefactHandler.ControllerCacheKey(java.lang.String uri, java.lang.String plugin, java.lang.String namespace)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ControllerArtefactHandler.ControllerCacheKey

    public ControllerArtefactHandler.ControllerCacheKey(java.lang.String uri, java.lang.String plugin, java.lang.String namespace)

Method Detail

### equals

    @java.lang.Overridereturn true;
    public boolean equals(java.lang.Object o)

### hashCode

    @java.lang.Overrideresult = 31 * result + (plugin != null ? plugin.hashCode() : 0);
    public int hashCode()

Groovy Documentation